Get a single post
curl --request GET \
--url https://api.juicer.io/v1/feeds/{feed_id}/posts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.juicer.io/v1/feeds/{feed_id}/posts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.juicer.io/v1/feeds/{feed_id}/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"external_id": "<string>",
"platform": "<string>",
"url": "<string>",
"message": "<string>",
"external_created_at": "2023-11-07T05:31:56Z",
"poster": {
"display_name": "<string>",
"name": "<string>",
"url": "<string>",
"image": "<string>",
"platform_id": "<string>"
},
"media": [
{
"url": "<string>",
"preview_image_url": "<string>",
"width": 123,
"height": 123,
"alt_text": "<string>",
"platform_id": "<string>"
}
],
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"view_count": 123,
"quote_count": 123,
"bookmark_count": 123,
"impression_count": 123,
"tagged_users": "<string>",
"ai_moderation_reasoning": "<string>",
"pinned": true,
"referenced_post": {
"poster": {
"display_name": "<string>",
"name": "<string>",
"url": "<string>",
"image": "<string>",
"platform_id": "<string>"
},
"message": "<string>",
"url": "<string>",
"platform_id": "<string>",
"post_created_at": "2023-11-07T05:31:56Z",
"media": [
{
"url": "<string>",
"preview_image_url": "<string>",
"width": 123,
"height": 123,
"alt_text": "<string>",
"platform_id": "<string>"
}
]
},
"reshared_by": {
"display_name": "<string>",
"name": "<string>",
"url": "<string>",
"image": "<string>",
"platform_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "feed_limit_reached",
"message": "Your Free plan allows 1 feed(s). Upgrade to create more.",
"details": {
"name": [
"can't be blank"
]
},
"action": {
"type": "upgrade_plan",
"current_plan": "small",
"current_plan_display_name": "Free",
"required_plan": "large",
"required_plan_display_name": "Pro",
"upgrade_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
}Posts
Get a single post
GET
/
feeds
/
{feed_id}
/
posts
/
{id}
Get a single post
⌘I